Subject: [PATCH 00/15] arch/arm/mach-* late_initcall cleanup

From: [email-masked] (Tony Lindgren)
Date: Fri, 4 May 2012 16:56:55 -0700

* Shawn Guo <[email-masked]> [120502 06:41]:
> On Wed, May 02, 2012 at 12:45:02PM +0000, Arnd Bergmann wrote:
> > On Wednesday 02 May 2012, Shawn Guo wrote:
> > > This series tries to clean up those late_initcall in arch/arm/mach-*,
> > > which will be a blocker for single kernel build for multiple platforms.
> > > Even on single platform, for example imx, where we already have single
> > > kernel image for imx3, imx5 and imx6 families, late_initcall does not
> > > scale.  We have to detect soc type in the late_initcall to do soc
> > > sepcific late initialization.
> > 
> > Hi Shawn,
> > 
> > If you're targetting this at v3.5, I think we should get it into arm-soc
> > as a staging branch to give it some more testing in linux-next ASAP.
> > 
> Thanks for the reminding, Arnd.  Yes, I'm targeting this at v3.5,
> since the imx cpuidle drivers from Rob Lee which targets at v3.5
> depends on it.

Sorro for being late in responding, these look good to me. For the
omap parts:

Acked-by: Tony Lindgren <[email-masked]>

Also ack to merge without my ack added for being late ;)

Tony